powered by Jive Software

SuperWaba

It is possible to combine Smack with SuperWaba.

In a same development.

Ronald,

It depends on the compatibility of SuperWaba with JDK.

From SuperWaba’'s FAQ:

Question: Which JDKs are compatible with SuperWaba?

JDK 1.1.x, 1.2.2, 1.3.x and 1.4.0. The best version, which produces the optimal class files, is version 1.2.2. Note also that SW have some problems with JDK 1.4.1. You must specify “-target 1.1” in the command line of javac.

It won’'t be that difficult to try to compile Smack in SW. If you try this please let us know how it worked.

Regards,

– Gato